Debian Bug report logs - #616043
debiandoc2html: <a name> anchors should enclose heading text

version graph

Package: debiandoc-sgml; Maintainer for debiandoc-sgml is Osamu Aoki <osamu@debian.org>; Source for debiandoc-sgml is src:debiandoc-sgml.

Reported by: Christoph Weber <c.weber@ideo-labs.com>

Date: Fri, 18 Feb 2011 12:36:02 UTC

Severity: normal

Tags: patch

Found in version debiandoc-sgml/1.2.20

Fixed in version debiandoc-sgml/1.2.28-1

Done: Osamu Aoki <osamu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#613946; Package debian-policy. (Fri, 18 Feb 2011 12:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Weber <c.weber@ideo-labs.com>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 18 Feb 2011 12:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Weber <c.weber@ideo-labs.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-policy: anchor issues in HTML version
Date: Fri, 18 Feb 2011 13:27:39 +0100
Package: debian-policy
Version: 3.8.0.1
Severity: minor

When you view the HTML version of the Debian Policy with a browser
like Lynx or SeaMonkey/IceApe (which interpret <link> elements in
the header), you'll notice some unfiltered tags like:

| 4.4 Debian changelog: <code>debian/changelog</code>
or
| 7.2 Binary Dependencies - <samp>Depends</samp>

Apparently, <code> and <samp> etc. should be filtered out in the title
text of the link elements.


Another tight related issue are the anchors that serve as destination
for those link elements.  Currently, they are declared like this:

| <h2><a name="s-binarydeps"></a>7.2 Binary Dependencies -
| <samp>Depends</samp>, <samp>Recommends</samp>, <samp>Suggests</samp>,
| <samp>Enhances</samp>, <samp>Pre-Depends</samp></h2>

There is no link text.  A better solution would be:

| <h2><a name="s-binarydeps">7.2 Binary Dependencies -
| <samp>Depends</samp>, <samp>Recommends</samp>, <samp>Suggests</samp>,
| <samp>Enhances</samp>, <samp>Pre-Depends</samp></a></h2>

This will meet the recommendations of the WCAG for links.
(<http://www.w3.org/TR/2008/REC-WCAG20-20081211/#navigation-mechanisms>)

Main purpose: I like to use CSS to highlight anchor targets.
This is useful when you want to link to some sub-heading in
your documentation et al.  It looks like this:

| h1[id]:hover:after,
| h2[id]:hover:after,
| h3[id]:hover:after,
| h4[id]:hover:after {
|     content:" #"attr(id);
|     font-size: smaller;
| }
| a[name]:hover:after {
|     content:" #"attr(name);
|     font-size: smaller;
| }

When you hover over an heading h1 .. h4 or anchor, the browser will
show the id or name at the end of the line.  Empty anchors sabotage
this, as they take no space and cannot be hovered.  Changing the
anchors or switching to headings with ids should fix that problem,
too.

Regards,
Christoph

P.S.: Version 3.9.1.0 seems to have the same issues.

-- System Information:
Debian Release: 5.0.8
  APT prefers oldstable
  APT policy: (500, 'oldstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

debian-policy depends on no packages.

debian-policy recommends no packages.

Versions of packages debian-policy suggests:
pn  doc-base                      <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#613946; Package debian-policy. (Fri, 18 Feb 2011 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 18 Feb 2011 17:54:05 GMT) Full text and rfc822 format available.

Message #10 received at 613946@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Christoph Weber <c.weber@ideo-labs.com>
Cc: 613946@bugs.debian.org
Subject: Re: Bug#613946: debian-policy: anchor issues in HTML version
Date: Fri, 18 Feb 2011 09:51:28 -0800
Christoph Weber <c.weber@ideo-labs.com> writes:

> When you view the HTML version of the Debian Policy with a browser like
> Lynx or SeaMonkey/IceApe (which interpret <link> elements in the
> header), you'll notice some unfiltered tags like:

[...]

The HTML is generated by DebianDoc-SGML, so none of this can be fixed
until we convert Policy to a different documentation system.  The HTML
output is from another tool and basically is what it is.

Doing that conversion is something that we want to do, but no one working
on Policy has had much free time lately.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#613946; Package debian-policy. (Wed, 02 Mar 2011 04:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 02 Mar 2011 04:30:03 GMT) Full text and rfc822 format available.

Message #15 received at 613946@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: debiandoc-sgml@packages.debian.org
Cc: Christoph Weber <c.weber@ideo-labs.com>, 613946@bugs.debian.org
Subject: Re: debian-policy: anchor issues in HTML version
Date: Tue, 1 Mar 2011 22:24:05 -0600
user debian-policy@packages.debian.org
clone 613946 -1 -2
retitle -1 debiandoc2html: <link> titles should not have embedded tags
retitle -2 debiandoc2html: <a name> anchors should enclose heading text
severity -1 normal
severity -2 minor
reassign -1 debiandoc-sgml 1.2.20
reassign -2 debiandoc-sgml 1.2.20
usertags 613946 + packaging
quit

Hi Osamu,

Christoph Weber noticed:

> When you view the HTML version of the Debian Policy with a browser
> like Lynx or SeaMonkey/IceApe (which interpret <link> elements in
> the header), you'll notice some unfiltered tags like:
>
> | 4.4 Debian changelog: <code>debian/changelog</code>
> or
> | 7.2 Binary Dependencies - <samp>Depends</samp>
>
> Apparently, <code> and <samp> etc. should be filtered out in the title
> text of the link elements.
>
> Another tight related issue are the anchors that serve as destination
> for those link elements.  Currently, they are declared like this:
>
> | <h2><a name="s-binarydeps"></a>7.2 Binary Dependencies -
> | <samp>Depends</samp>, <samp>Recommends</samp>, <samp>Suggests</samp>,
> | <samp>Enhances</samp>, <samp>Pre-Depends</samp></h2>
>
> There is no link text.  A better solution would be:
>
> | <h2><a name="s-binarydeps">7.2 Binary Dependencies -
> | <samp>Depends</samp>, <samp>Recommends</samp>, <samp>Suggests</samp>,
> | <samp>Enhances</samp>, <samp>Pre-Depends</samp></a></h2>

See http://bugs.debian.org/613946 for more details.  Thoughts?

The following testcase[1] reproduces the problem.

Thanks,
Jonathan

[1] Usage: "debiandoc2html testcase.sgml".

<!doctype debiandoc system>
<debiandoc>
  <book>
    <titlepag>
      <title>Example</title>
      <author>Authors</author>
    </titlepag>
    <toc detail="chapt">
    <chapt id="scope">
      <heading>About this manual</heading>
    </chapt>
    <chapt id="dpkgchangelog">
      <heading>Debian changelog: <file>debian/changelog</file></heading>
    </chapt>
  </book>
</debiandoc>




Bug 613946 cloned as bugs 616042, 616043. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 Mar 2011 04:30:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'debiandoc2html: <a name> anchors should enclose heading text' from 'debian-policy: anchor issues in HTML version' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 Mar 2011 04:30:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'debian-policy' to 'debiandoc-sgml'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 Mar 2011 04:30:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions debian-policy/3.8.0.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 Mar 2011 04:30:12 GMT) Full text and rfc822 format available.

Bug Marked as found in versions debiandoc-sgml/1.2.20. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 02 Mar 2011 04:30:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#616043; Package debiandoc-sgml. (Fri, 04 Mar 2011 14:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. (Fri, 04 Mar 2011 14:15:14 GMT) Full text and rfc822 format available.

Message #30 received at 616043@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: debiandoc-sgml@packages.debian.org, Christoph Weber <c.weber@ideo-labs.com>, 613946@bugs.debian.org, 616042-done@bugs.debian.org, 616043@bugs.debian.org
Subject: Re: debian-policy: anchor issues in HTML version
Date: Fri, 4 Mar 2011 23:13:54 +0900
severity 616043 wishlist
tags 616043 wontfix
severity 613946 wishlist
thanks

Hi,

Before I start, let me remind people that it is more important to
convert all these SGML documents to DocBook XML.  So far, I am having
good success for maint-guide.  I will work on this document once I get
comfortable doing this conversion.

 http://wiki.debian.org/DocbookXmlTransition

But policy is such a high profile document, I will work on this later.

On Tue, Mar 01, 2011 at 10:24:05PM -0600, Jonathan Nieder wrote:
> user debian-policy@packages.debian.org
> clone 613946 -1 -2
> retitle -1 debiandoc2html: <link> titles should not have embedded tags

What debiandoc2html should do as default is pure taste issue.
I know there have been many flip-flopping.  Its enough.
The user of debiandoc2html can disable this by using -L option.

So this is not bug for debiandoc-sgml.

Please see http://bugs.debian.org/402122 first and read on to:

 http://bugs.debian.org/402122 (current default rationale)
 http://bugs.debian.org/140677 (old history)

On this basis, I am closing this bug #616042 for debiandoc-sgml.

If bug reporter carefully read all these bug reports, this aspect of bug
#613946 is at best wishlist and debian-policy maintainer should assign
wontfix tag unless submitter gives good rationale.  I think we provide
document for most browsers with decent capability.  We do not cut down
good feature useful for most user just for lowest denominator
application.  There are some console browsers such as w3m which can
handle this OK.

> retitle -2 debiandoc2html: <a name> anchors should enclose heading text

Hmmm... this aspect of this bug has been so for long time.  I was
wondering on this when I took over this package.  I do not see any real
negative so this is purely aesthetic concern.  If you can cite some RFC
etc., then this is real minor bug otherwise this is wishlist bug which I
will mark as wontfix since I am not going to change this old program's
behavior any more unless it is gross problem.  Until I get clear
argument, I am marking this as wishlist/wontfix so I will not get
similar complain.

> severity -1 normal
> severity -2 minor
> reassign -1 debiandoc-sgml 1.2.20
> reassign -2 debiandoc-sgml 1.2.20
> usertags 613946 + packaging

I see you are doing BTS cleaning.  

> See http://bugs.debian.org/613946 for more details.  Thoughts?

It has been answered.

This should be fixed on Lynx side.  They show up since this does not
understand as I think. But I have not fully investigated so not ready to
reassign this to them.

Properly displaying provided feature-rich HTML is burden of clients.  I
think we should not blame generating software and created data.  That is
my thought.

Thus I think this is not really a bug of debian-policy.  At best it is
wishlist bug.  Sevrity changed to wishlist.

If bug triage people think this is not a bug of debian-policy, please
feel free to close this bug.

I should say the more useful wishlist bug is "debian-policy should use
DocBook XML for source" :-)

Osamu




Severity set to 'wishlist' from 'minor' Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Fri, 04 Mar 2011 14:15:16 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Fri, 04 Mar 2011 14:15:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Osamu Aoki <osamu@debian.org>:
Bug#616043; Package debiandoc-sgml. (Fri, 04 Mar 2011 22:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Osamu Aoki <osamu@debian.org>. (Fri, 04 Mar 2011 22:21:07 GMT) Full text and rfc822 format available.

Message #39 received at 616043@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 616042@bugs.debian.org
Cc: Christoph Weber <c.weber@ideo-labs.com>, 613946@bugs.debian.org, 616043@bugs.debian.org
Subject: Re: debian-policy: anchor issues in HTML version
Date: Fri, 4 Mar 2011 16:18:28 -0600
reopen 616042
retitle 616042 debiandoc2html: title attribute of <link> tags must be plain text
severity 616042 wishlist
tags 616042 + wontfix
retitle 613946 Debian policy should use DocBook XML for source
quit

Hi Osamu,

Osamu Aoki wrote:

>  http://wiki.debian.org/DocbookXmlTransition

Thanks, I didn't know about that page.  I agree that it's not worth
spending time on other aspects.  So please feel free to ignore the
rest of this message. ;-)

> On Tue, Mar 01, 2011 at 10:24:05PM -0600, Jonathan Nieder wrote:

>> retitle -1 debiandoc2html: <link> titles should not have embedded tags
>
> What debiandoc2html should do as default is pure taste issue.
> I know there have been many flip-flopping.  Its enough.
> The user of debiandoc2html can disable this by using -L option.

I think you might have misunderstood the bug.  I am very happy that
the <link> tags are included; the only problem is that the "title"
attribute contains embedded tags.  As the HTML standard explains:

	The title attribute gives the title of the link. With one
	exception, it is purely advisory. The value is text.

All user agents I know that display the "title" attribute do display
it as plain text.

That said, I would agree with calling it wishlist/wontfix.  I'm
reopening the bug for documentation, so people looking at the BTS can
find another reason to switch to docbook.

> There are some console browsers such as w3m which can
> handle this OK.

That sounds like a bug in w3m, then.  Though I do not actually see the
<link> tags when I open policy in w3m --- are you sure w3m even tries
to handle this?

> If you can cite some RFC
> etc., then this is real minor bug otherwise this is wishlist bug which I
> will mark as wontfix since I am not going to change this old program's
> behavior any more unless it is gross problem.  Until I get clear
> argument, I am marking this as wishlist/wontfix so I will not get
> similar complain.

All the examples of anchor targets (<a name="foo">) in the HTML
standard use it to enclose some descriptive text or similar content.
Christoph's example of using a stylesheet to highlight link targets
certainly puts it in the realm of what the WCAG are supposed to
describe.  But I admit, I cannot find any document that comes out and
says so.

> I should say the more useful wishlist bug is "debian-policy should use
> DocBook XML for source" :-)

*nod*  Now that the debiandoc side has been nicely filed away, I'm
retitling the bug.  Hint to anyone working on this: the debconf spec
is already DocBook XML, so you can steal its rules.

Thanks for a thorough response.

Jonathan




Added indication that 616043 affects junior-doc, tcltk-defaults, tex-common, backup-manager, dbconfig-common, userv, debian-faq, cli-common, harden-doc, focalinux, dh-kpatches, gap, debian-reference, apt, debiandoc-sgml-doc, libnss-pgsql, doc-debian-es, python3-defaults, doc-debian-fr, doc-base, menu, debian-policy, debian-installer, kernel-handbook, blends, debian-history, java-common, debiandoc-sgml-doc-pt-br, sgml-base-doc, and python-defaults Request was from Samuel Bronson <naesten@gmail.com> to control@bugs.debian.org. (Tue, 15 Jan 2013 21:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Osamu Aoki <osamu@debian.org>:
Bug#616043; Package debiandoc-sgml. (Tue, 15 Jan 2013 21:24:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Bronson <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Osamu Aoki <osamu@debian.org>. (Tue, 15 Jan 2013 21:24:16 GMT) Full text and rfc822 format available.

Message #46 received at 616043@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: Osamu Aoki <osamu@debian.org>, 616043@bugs.debian.org
Cc: jrnieder@gmail.com, debiandoc-sgml@packages.debian.org, c.weber@ideo-labs.com
Subject: Re: Bug#616043: debian-policy: anchor issues in HTML version
Date: Tue, 15 Jan 2013 16:22:38 -0500
[Message part 1 (text/plain, inline)]
Control: tags -1 + patch

Well, whether or not it's more important to convert everything to
docbook, it's a lot easier to fix *this* (especially given the number of
packages affected):

[Message part 2 (text/x-diff, inline)]
diff --git a/tools/lib/Format/HTML.pm b/tools/lib/Format/HTML.pm
index 590bd79..5a99c2e 100644
--- a/tools/lib/Format/HTML.pm
+++ b/tools/lib/Format/HTML.pm
@@ -614,8 +614,7 @@ sub _output_heading
 	output( "\n" );
 	output( "<hr>\n" );
 	output( "\n" );
-	output( "<h" . ( $_[1] + 2 ) . ">" );
-	output( "<a name=\"$_[3]\"></a>" );
+	output( "<h" . ( $_[1] + 2 ) . " id=\"$_[3]\">" );
 	output( "$_[2] " ) if length( $_[2] );
 	output( $_[0] );
         output( "</h" . ( $_[1] + 2 ) . ">\n" );
[Message part 3 (text/plain, inline)]
-- 
Hi! I'm a .signature virus! Copy me into your ~/.signature to help me spread!

Added tag(s) patch. Request was from Samuel Bronson <naesten@gmail.com> to 616043-submit@bugs.debian.org. (Tue, 15 Jan 2013 21:24:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#616043; Package debiandoc-sgml. (Wed, 16 Jan 2013 13:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. (Wed, 16 Jan 2013 13:33:04 GMT) Full text and rfc822 format available.

Message #53 received at 616043@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Samuel Bronson <naesten@gmail.com>
Cc: 616043@bugs.debian.org, jrnieder@gmail.com, debiandoc-sgml@packages.debian.org, c.weber@ideo-labs.com
Subject: Re: Bug#616043: debian-policy: anchor issues in HTML version
Date: Wed, 16 Jan 2013 22:27:50 +0900
Hi,

I am no expert on HTML ... so I need explicit reference to RFC or
something to justify your opinion.  

> All the examples of anchor targets (<a name="foo">) in the HTML
> standard use it to enclose some descriptive text or similar content.
> Christoph's example of using a stylesheet to highlight link targets
> certainly puts it in the realm of what the WCAG are supposed to
> describe.  But I admit, I cannot find any document that comes out and
> says so.

So this was disappointing ...

On Tue, Jan 15, 2013 at 04:22:38PM -0500, Samuel Bronson wrote:
> Control: tags -1 + patch
> 
> Well, whether or not it's more important to convert everything to
> docbook, it's a lot easier to fix *this* (especially given the number of
> packages affected):
> 

> diff --git a/tools/lib/Format/HTML.pm b/tools/lib/Format/HTML.pm
> index 590bd79..5a99c2e 100644
> --- a/tools/lib/Format/HTML.pm
> +++ b/tools/lib/Format/HTML.pm
> @@ -614,8 +614,7 @@ sub _output_heading
>  	output( "\n" );
>  	output( "<hr>\n" );
>  	output( "\n" );
> -	output( "<h" . ( $_[1] + 2 ) . ">" );
> -	output( "<a name=\"$_[3]\"></a>" );
> +	output( "<h" . ( $_[1] + 2 ) . " id=\"$_[3]\">" );
>  	output( "$_[2] " ) if length( $_[2] );
>  	output( $_[0] );
>          output( "</h" . ( $_[1] + 2 ) . ">\n" );

This is bug fix not for wheezy but for jessie...  we are under freeze.

Instead of current:
  <a name="foo"></a>
  <h1>blablabla</h1>
you want:
  <h1 id="foo">blablabla</h1>
but not:
  <a id="foo"><h1>blablabla</h1></a>
nor:
  <h1><a name="foo">blablabla</a></h1>

OK. I see.  First of all, let's look at bug web paeg:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=616043
This HTML source has:
| <div class="infmessage"><hr>
| <a name="1"></a>
| <!-- request_addr: debian-bugs-dist@lists.debian.org, Debian Policy List
| ...
So this is accepted ways by some people.  For example:
  http://www.bignosebird.com/tags/ahref.shtml
(I initially thought funny for this type of coding.)
This is purly easthetics.

But since you are so concerned, I googled around :-)

Official HTML4  http://www.w3.org/TR/html401/struct/links.html
Clearly, use of <a name="foo"></a> is not illegal but it says:
| Note. User agents should be able to find anchors created by empty A
| elements, but some fail to do so. For example, some user agents may not
| find the "empty-anchor" in the following HTML fragment: 
| 
| <A name="empty-anchor"></A>
| <EM>...some HTML...</EM>
| <A href="#empty-anchor">Link to empty anchor</A>

Official HTML5 http://dev.w3.org/html5/markup/a.html
| The name attribute on the a element is obsolete. Consider putting an id
| attribute on the nearest container instead.

Then I also found:
http://stackoverflow.com/questions/484719/html-anchors-with-name-or-id
Highest voted answer had:
| You shouldn’t use <h1><a name="foo"/>Foo Title</h1> in any flavor of
| HTML served as text/html, because the XML empty element syntax isn’t
| supported in text/html. However, <h1><a name="foo">Foo Title</a></h1> is
| OK in HTML4. It is not valid in HTML5 as currently drafted.
| 
| <h1 id="foo">Foo Title</h1> is OK in both HTML4 and HTML5. This won’t
| work in Netscape 4, but you’ll probably use a dozen other features that
| don’t work in Netscape 4.

So thsi all leads me to conclusion that we are at HTML4 and your patch
seems sane solution for every practical cases.

I have changed bug status to normal and will fix this for jessie.

Osamu




Severity set to 'normal' from 'wishlist' Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Wed, 16 Jan 2013 14:24:05 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. (Wed, 16 Jan 2013 14:24:05 GMT) Full text and rfc822 format available.

Reply sent to Osamu Aoki <osamu@debian.org>:
You have taken responsibility. (Sat, 18 May 2013 17:36:14 GMT) Full text and rfc822 format available.

Notification sent to Christoph Weber <c.weber@ideo-labs.com>:
Bug acknowledged by developer. (Sat, 18 May 2013 17:36:14 GMT) Full text and rfc822 format available.

Message #62 received at 616043-close@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 616043-close@bugs.debian.org
Subject: Bug#616043: fixed in debiandoc-sgml 1.2.28-1
Date: Sat, 18 May 2013 17:32:57 +0000
Source: debiandoc-sgml
Source-Version: 1.2.28-1

We believe that the bug you reported is fixed in the latest version of
debiandoc-sgml, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 616043@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Osamu Aoki <osamu@debian.org> (supplier of updated debiandoc-sgml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 May 2013 02:20:15 +0900
Source: debiandoc-sgml
Binary: debiandoc-sgml
Architecture: source all
Version: 1.2.28-1
Distribution: unstable
Urgency: low
Maintainer: Osamu Aoki <osamu@debian.org>
Changed-By: Osamu Aoki <osamu@debian.org>
Description: 
 debiandoc-sgml - DebianDoc SGML DTD and formatting tools
Closes: 616043 685046 694856
Changes: 
 debiandoc-sgml (1.2.28-1) unstable; urgency=low
 .
   * Jessie development cycle is ON!
   * Switch to 3.0(quilt) format.
   * Fix URLs containing '&' (ampersand) using a patch provided by Ben
     Hutchings, thanks. Closes: #685046
   * Make <a name> anchors enclose heading text using a patch provided by
     Samuel Bronson. Closes: #616043
   * Make debiandoc2dbkpo behave with an SGML without the localization
     infix using a patch provided by Felix Gatzemeier.  Closes: #694856
Checksums-Sha1: 
 8d08b3919764fc99d6a17562fa9dc28883b9e49b 1246 debiandoc-sgml_1.2.28-1.dsc
 86e9069b0055b1e12b7ca43e8769ae0b6a60e108 127871 debiandoc-sgml_1.2.28.orig.tar.gz
 5b0a91fea8af7b45352e59f94f8e653fb3742768 25379 debiandoc-sgml_1.2.28-1.debian.tar.gz
 5d247b2024b052a0cf4bf2f548c2e9e96c49a96f 129600 debiandoc-sgml_1.2.28-1_all.deb
Checksums-Sha256: 
 6b410422e5958cb14c5711ccc815cf622dd04f86741af58e00a93ec3d2e11edd 1246 debiandoc-sgml_1.2.28-1.dsc
 9a10f735eef5dee2325f3e1ca9e232971b335d273d7f228f5f9af7bdc157415e 127871 debiandoc-sgml_1.2.28.orig.tar.gz
 91aa51789a19131b80dcfc1a9dd947445670b78b82d3a424248916c49f2324f7 25379 debiandoc-sgml_1.2.28-1.debian.tar.gz
 9288399be345993654fb02f9460ea381378a3ee4193b4114c2678ec912e9c09b 129600 debiandoc-sgml_1.2.28-1_all.deb
Files: 
 f726b38dbe09bb0019ac6cf38f50e8d2 1246 text optional debiandoc-sgml_1.2.28-1.dsc
 ed2afef42388c705fb15186f037bae82 127871 text optional debiandoc-sgml_1.2.28.orig.tar.gz
 1aecd6693ecd8324870412e4a7b5f960 25379 text optional debiandoc-sgml_1.2.28-1.debian.tar.gz
 0f956000be689c106ee3bd4b5b573cc2 129600 text optional debiandoc-sgml_1.2.28-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGXuM0ACgkQ6A/EwagGHzLwNgCfXo078/jMih/obVDhbxIsjcPL
x9MAnjBw5RIl4fEUsnWYT6Oc17JCB3/D
=2Gei
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Jun 2013 07:30:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:37:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.